<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="String" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="316dp"
        android:layout_height="wrap_content"
        android:layout_marginRight="-5dp"
        android:background="@drawable/part_new_job_item_bg"
        android:orientation="vertical">

        <com.guadou.lib_baselib.font_text_view.TextViewBold
            android:id="@+id/tv_job_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_23dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:layout_marginRight="@dimen/d_23dp"
            android:gravity="center_vertical"
            android:ellipsize="end"
            android:lines="2"
            android:lineHeight="@dimen/d_17dp"
            android:text="香格里拉大酒店需要大量经验丰富的员工，至少10人"
            android:textAllCaps="true"
            android:textColor="@color/notify_dark_blue"
            android:textSize="@dimen/d_16sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_23dp"
            android:layout_marginTop="@dimen/d_5dp"
            android:layout_marginRight="@dimen/d_23dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/iv_job_img"
                android:layout_width="60dp"
                android:layout_height="43dp"
                android:background="@drawable/placeholder_img_job_img"
                android:scaleType="centerCrop" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:orientation="vertical">

                <!--   date   -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:text="日期："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_date"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_5dp"
                        android:text="2022/06/29 周三"
                        android:textColor="@color/text_orange_ff9300"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>


                <!--   time   -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/d_10dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:text="时间："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-light"
                        android:text="06:00-23:30"
                        android:textColor="@color/text_orange_ff9300"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_0.7dp"
            android:layout_marginLeft="@dimen/d_9dp"
            android:layout_marginTop="@dimen/d_12dp"
            android:layout_marginRight="@dimen/d_9dp"
            android:background="@color/divider_color_de" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingBottom="8dp">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_23dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="5dp"
                    android:text="总计"
                    android:textColor="@color/gray_76"
                    android:textSize="@dimen/d_15sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/tv_total_money"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="¥80"
                    android:textColor="@color/profile_red"
                    android:textSize="@dimen/d_20sp" />

            </LinearLayout>


            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_job_rate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="¥10"
                android:textColor="@color/app_blue"
                android:textSize="@dimen/d_15sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/d_23dp"
                android:text="/时"
                android:textColor="@color/gray_76"
                android:textSize="@dimen/d_15sp"
                android:textStyle="bold" />

        </LinearLayout>


    </LinearLayout>

</layout>
